@use "mixins";

body {
  padding-top: 11rem;
  padding-bottom: 5.5rem;
  background-color: var(--color-white);
  color: var(--color-black);
  @include mixins.respond(small) {
    padding-top: 19vw;
  }
}

.intro {
  display: flex;
  justify-content: center;
  gap: 15vw;
  margin-bottom: 10rem;

  @include mixins.respond(small) {
    flex-direction: column;
    gap: 3.8rem;
    padding-left: 3.2vw;
    margin-bottom: 5.2rem;
  }

  &__division {
    font-family: var(--font-display);
    font-size: 3.6rem;
    font-weight: 700;
    line-height: 1.33;
    letter-spacing: -0.045em;
  }

  &__description {
    font-family: var(--font-body);
    font-size: 1.8rem;
    line-height: 1.5;
    letter-spacing: unset;
    @include mixins.respond(small) {
      font-size: 1.4rem;
    }
  }

  &__question {
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 1rem;
  }

  &__question-answer {
    font-weight: 400;
    width: 36ch;
  }
}

.team {
  display: grid;
  grid-template-columns: repeat(3, max-content);
  grid-template-rows:
    [normal-row-1_start] 8vw
    [offset-row-1_start] repeat(2, 10vw) [normal-row-1_end]
    8vw [offset-row-1_end]
    1.875vw
    [normal-row-2_start] 8vw
    [offset-row-2_start] repeat(2, 10vw) [normal-row-2_end]
    8vw [offset-row-2_end];
  column-gap: 4.5vw;
  justify-content: center;

  @include mixins.respond(small) {
    grid-template-columns: repeat(2, max-content);
    grid-template-rows:
      [normal-row-1_start] 14vw
      [offset-row-1_start] repeat(2, 23.5vw) [normal-row-1_end]
      14vw [offset-row-1_end]
      4vw
      [normal-row-2_start] 14vw
      [offset-row-2_start] repeat(2, 23.5vw) [normal-row-2_end]
      14vw [offset-row-2_end]
      4vw
      [normal-row-3_start] 14vw
      [offset-row-3_start] repeat(2, 23.5vw) [normal-row-3_end]
      14vw [offset-row-3_end];
    column-gap: 7.2vw;
  }
}

.member {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  grid-template-rows: repeat(2, max-content);
  column-gap: 1rem;
  row-gap: 1.5rem;
  pointer-events: none;
  transition: transform 0.3s ease-out;

  &:hover {
    transform: scale(1.15);

    @include mixins.respond(small) {
      transform: scale(1.1);
    }

    @include mixins.respond(ultra-small) {
      transform: scale(1.05);
    }
  }

  &--1,
  &--3 {
    grid-row: normal-row-1_start / span normal-row-1_end;
  }

  &--2 {
    grid-row: offset-row-1_start / span offset-row-1_end;
  }

  &--4,
  &--6 {
    grid-row: normal-row-2_start / span normal-row-2_end;
  }

  &--5 {
    grid-row: offset-row-2_start / span offset-row-2_end;
  }

  @include mixins.respond(small) {
    column-gap: 0.5rem;
    row-gap: 1rem;

    &--1 {
      grid-row: normal-row-1_start / span normal-row-1_end;
    }

    &--2 {
      grid-row: offset-row-1_start / span offset-row-1_end;
    }

    &--3 {
      grid-row: normal-row-2_start / span normal-row-2_end;
    }

    &--4 {
      grid-row: offset-row-2_start / span offset-row-2_end;
    }

    &--5 {
      grid-row: normal-row-3_start / span normal-row-3_end;
    }

    &--6 {
      grid-row: offset-row-3_start / span offset-row-3_end;
    }
  }

  &__photo {
    max-width: 16.5vw;
    max-height: 24vw;
    pointer-events: auto;

    @include mixins.respond(small) {
      font-size: 1.4rem;
      max-width: 37vw;
      max-height: 56vw;
    }
  }

  &__name {
    font-family: var(--font-body);
    font-weight: 600;
    font-size: 1.8rem;
    line-height: 1.5;

    @include mixins.respond(small) {
      font-size: 1.4rem;
    }
  }

  &__position {
    font-family: var(--font-display);
    font-size: 1.2rem;
    line-height: 1.333;
    text-transform: uppercase;
    writing-mode: vertical-rl;
    grid-row-start: 1;
    grid-column-start: 2;

    @include mixins.respond(small) {
      font-size: 1rem;
    }
  }
}
